//  T8_Convert numbers_Self.cpp
/*        
       .
             .
      .
     convertDecimalToBinary(int n)  
        .

      4 .
   :
   1.      
          .
   2. -       .
   3.    .
   4.   -  .
*/



#include <iostream>
#include <cmath>
using namespace std;

int convertBinaryToDecimal(long long n);
long long convertDecimalToBinary(int n);

int main()
{
    long long n;
    
    cout << "\n Program for converting from binary to decimal and vice versa. \n\n";
    cout << " Enter a binary number (with digits 0 or 1): ";
    cin >> n;
    cout << n << " (binary) = " << convertBinaryToDecimal(n) << " (decimal)\n";
  
    cout << " Enter a decimal number: ";
    cin >> n;
    cout << n << " (decimal) = " << convertDecimalToBinary(n) << " (binary)\n\n";
    
    cout << " Author of modifications: Simeon Dushkov 8-ma grupa \n\n";
    
    system("Pause"); 
    return 0;
}

int convertBinaryToDecimal(long long n)
{
    int decimalNumber = 0, i = 0, remainder;
    while (n!=0)
    {
        remainder = n%10;
        n /= 10;
        decimalNumber += remainder*pow(float(2),float(i));
        ++i;
    }
    return decimalNumber;
}

long long convertDecimalToBinary(int n)
{
    long long binaryNumber = 0;
    int remainder, i = 1, step = 1;

    while (n!=0)
    {
        remainder = n%2;
        cout << "Step: " << step++ << " " << n << "/2, Remainder = " 
			 << remainder << ", Quotient = " << n/2 << endl;
        
        n /= 2;
        binaryNumber += remainder*i;
        i *= 10;
	}
        
	return binaryNumber;
}


